Linux webserver 6.8.0-49-generic #49~22.04.1-Ubuntu SMP PREEMPT_DYNAMIC Wed Nov 6 17:42:15 UTC 2 x86_64
Apache/2.4.52 (Ubuntu)
Server IP : 192.168.1.1 & Your IP : 3.12.149.192
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
share /
mysql /
Delete
Unzip
Name
Size
Permission
Date
Action
bulgarian
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
charsets
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
czech
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
danish
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
docs
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
dutch
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
english
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
estonian
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
french
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
german
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
greek
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
hungarian
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
italian
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
japanese
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
korean
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
norwegian
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
norwegian-ny
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
polish
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
portuguese
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
romanian
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
russian
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
serbian
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
slovak
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
spanish
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
swedish
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
ukrainian
[ DIR ]
drwxr-xr-x
2025-05-06 06:30
debian_create_root_user.sql
1.79
KB
-rw-r--r--
2025-04-25 17:19
dictionary.txt
24.98
KB
-rw-r--r--
2025-03-31 08:19
echo_stderr
27
B
-rwxr-xr-x
2025-04-25 17:19
innodb_memcached_config.sql
3.91
KB
-rw-r--r--
2025-03-31 08:19
install_rewriter.sql
2.21
KB
-rw-r--r--
2025-04-25 17:19
mysql-log-rotate
1.98
KB
-rw-r--r--
2025-04-25 17:19
mysql-systemd-start
2.09
KB
-rwxr-xr-x
2023-06-14 19:23
mysqld_multi.server
1.04
KB
-rwxr-xr-x
2025-03-31 08:19
uninstall_rewriter.sql
1.27
KB
-rw-r--r--
2025-04-25 17:19
Save
Rename
#!/bin/bash # # Scripts to run by MySQL systemd service # # Needed argument: pre # # pre mode : try to perform sanity check for configuration, log, data # Read a config option from mysql. Note that this will only work if a config # file actually specifies the option, so it's important to specify a default # $1 is application (e.g. mysqld for server) # $2 is option # $3 is default value used if no config value is found get_mysql_option() { result=$(my_print_defaults "$1" | sed -n "s/^--$2=//p" | tail -n 1) if [ -z "$result" ]; then result="$3" fi echo "$result" } sanity () { if [ -e /etc/mysql/FROZEN -o -h /etc/mysql/FROZEN ]; then echo "MySQL has been frozen to prevent damage to your system. Please see /etc/mysql/FROZEN for help." exit 1 fi if [ ! -r /etc/mysql/my.cnf ]; then echo "MySQL configuration not found at /etc/mysql/my.cnf. Please create one." exit 1 fi datadir=$(get_mysql_option mysqld datadir "/var/lib/mysql") if [ ! -d "${datadir}" ] && [ ! -L "${datadir}" ]; then echo "MySQL data dir not found at ${datadir}. Please create one." exit 1 fi if [ ! -d "${datadir}/mysql" ] && [ ! -L "${datadir}/mysql" ]; then echo "MySQL system database not found in ${datadir}. Please run mysqld --initialize." exit 1 fi # Do a test start to make sure there are no configuration issues or similar # mysqld --verbose --help will output a full listing of settings and plugins. # To do so it needs to initialize the database, so it can be used as a test # for whether or not the server can start. We redirect stdout to /dev/null so # only the error messages are left. result=0 output=$(mysqld --verbose --help --innodb-read-only 2>&1 > /dev/null) || result=$? if [ ! "$result" = "0" ]; then echo "ERROR: Unable to start MySQL server:" >&2 echo "$output" >&2 echo "Please take a look at https://wiki.debian.org/Teams/MySQL/FAQ for tips on fixing common upgrade issues." >&2 echo "Once the problem is resolved, restart the service." >&2 exit 1 fi } case $1 in "pre") sanity ;; esac